## ktexteditor 5.31.0

=== debian/changelog ===
ktexteditor (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:22 +0000

ktexteditor (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:01 +0000

ktexteditor (5.28.0-0ubuntu1) zesty; urgency=medium

  [ Rik Mills ]
  * Remove upstream_fix_text_search.diff, unneeded since 5.27.0
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

  [ Clive Johnston ]
  * Add new build dep libkf5syntaxhighlighting-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:59 +0000

ktexteditor (5.26.0-0ubuntu1.1) yakkety; urgency=medium

  * Add upstream_fix_text_search.diff (LP: #1632848)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 20 Oct 2016 15:43:47 +0100

ktexteditor (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:49:36 +0100

ktexteditor (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:46:02 +0000

ktexteditor (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:17:16 +0200

ktexteditor (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Refresh patch. 
  * Remove whitespace patch. 
  * This time in the repo. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:36:35 -0700

=== debian/control ===
Source: ktexteditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgit2-dev (>= 0.22~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               perl,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor

Package: libkf5texteditor-dev
Architecture: any
Section: libdevel
Depends: libkf5parts-dev (>= 5.31.0~),
         libkf5texteditor5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf5texteditor5
Architecture: any
Multi-Arch: same
Depends: ktexteditor-data (= ${source:Version}),
         libkf5texteditor5-libjs-underscore,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ktexteditor-katepart (= ${binary:Version})
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: libkf5texteditor5-libjs-underscore
Architecture: any
Multi-Arch: foreign
Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
Description: Bridge package for libjs-underscore
 Bridge package for libjs-underscore to allow for installation of
 libjs-underscore in multi-arch use.

Package: ktexteditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: ktexteditor-katepart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

## ktexteditor 5.38.0

=== debian/changelog ===
ktexteditor (5.38.0-0ubuntu1.1) artful; urgency=medium

  * Fix indentation problems introduced in 5.38 (LP: #1724709).
    - fix-indentation.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Oct 2017 19:50:52 -0500

ktexteditor (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:02 +0100

ktexteditor (5.37.0-0ubuntu1) artful; urgency=medium

  * Install ktexteditor plugin template
  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:19 +0100

ktexteditor (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:18 +0100

ktexteditor (5.35.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * debian/patches: drop katesyntaxtest_check_basename patch. Changes applied
    upstream.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:12 +0100

ktexteditor (5.34.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Install files for 'KAuth integration in document saving'
  
  [ José Manuel Santamaría Lema ]
  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:09 +0100

ktexteditor (5.33.0-0ubuntu2) artful; urgency=medium

  * Add libeditorconfig-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 03 May 2017 12:38:50 +0100

ktexteditor (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libeditorconfig-dev,
                libgit2-dev (>= 0.22~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5guiaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5sonnet-dev (>= 5.31.0~),
-               libkf5syntaxhighlighting-dev (>= 5.31.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5guiaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5parts-dev (>= 5.38.0~),
+               libkf5sonnet-dev (>= 5.38.0~),
+               libkf5syntaxhighlighting-dev (>= 5.38.0~),
                libqt5xmlpatterns5-dev (>= 5.6.1~),
                perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
@@ -30,7 +31,7 @@
 Package: libkf5texteditor-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5parts-dev (>= 5.31.0~),
+Depends: libkf5parts-dev (>= 5.38.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## ktexteditor 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KTextEditor VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add own modules to search path, too
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KTEXTEDITOR
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktexteditor_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfigVersion.cmake"
  SOVERSION 5
)

# Dependencies
set(REQUIRED_QT_VERSION 5.7.0)

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets Qml
  PrintSupport Xml XmlPatterns)

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_DEP_VERSION} REQUIRED)

# libgit2 integration, at least 0.22 with proper git_libgit2_init()
find_package(LibGit2 "0.22.0")

# EditorConfig integration
find_package(EditorConfig)

# vi mode on per default
option (BUILD_VIMODE "Build vimode in" ON)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"ktexteditor5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5TextEditor")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5TextEditor_QCH
        FILE KF5TextEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5TextEditorQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5TextEditorConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5TextEditorTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5TextEditorTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/ktexteditor_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
  COMPONENT Devel
)

# config.h
check_symbol_exists (fdatasync unistd.h HAVE_FDATASYNC)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# let our config.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/src/vimode/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
  ${CMAKE_SOURCE_DIR}/src/vimode
)

set (VIMODE_TEST_LINK_LIBS KF5TextEditor
  KF5::I18n
  Qt5::Qml
  Qt5::Test
)

macro(vimode_unit_test)
  ecm_add_test(${ARGN} TEST_NAME "vimode_${ARGV0}"
               LINK_LIBRARIES ${VIMODE_TEST_LINK_LIBS})
endmacro()


vimode_unit_test(modes modes.cpp base.cpp)
vimode_unit_test(view view.cpp base.cpp)
vimode_unit_test(completion completion.cpp base.cpp fakecodecompletiontestmodel.cpp)
vimode_unit_test(keys keys.cpp base.cpp fakecodecompletiontestmodel.cpp emulatedcommandbarsetupandteardown.cpp)
vimode_unit_test(emulatedcommandbar emulatedcommandbar.cpp base.cpp fakecodecompletiontestmodel.cpp emulatedcommandbarsetupandteardown.cpp)

add_custom_target(vimode_tests ${CMAKE_CTEST_COMMAND} --force-new-ctest-process -R "^vimode_")

=== debian/changelog ===
ktexteditor (5.44.0-0ubuntu2) bionic; urgency=medium

  * Fix scrolling, more details available here:
    https://mail.kde.org/pipermail/kde-distro-packagers/2018-March/000310.html
    - fix-scrolling-bug.patch
  * Fix spelling of patch name.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 20 Mar 2018 19:32:57 -0500

ktexteditor (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:05 +0000

ktexteditor (5.43.0-0ubuntu2) bionic; urgency=medium

  * Skip vimode tests. Broken on upstream CI builds, and reported as
    KDE bug 390333

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Feb 2018 20:45:51 +0000

ktexteditor (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:35 +0000

ktexteditor (5.42.0-0ubuntu1) bionic; urgency=medium

  * Drop fix_syntax_hilite_test.patch; included in 5.42
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:55 +0000

ktexteditor (5.41.0-0ubuntu2) bionic; urgency=medium

  * fix_syntax_hilite_test.patch fixes autopkgtest failure 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 13 Dec 2017 18:05:44 +0000

ktexteditor (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:07:50 -0600

ktexteditor (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:43 +0000

=== debian/control ===
Source: ktexteditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libeditorconfig-dev,
               libgit2-dev (>= 0.22~),
               libkf5archive-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5guiaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5sonnet-dev (>= 5.44.0~),
               libkf5syntaxhighlighting-dev (>= 5.44.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               perl,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor

Package: ktexteditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: ktexteditor-katepart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf5texteditor-dev
Architecture: any
Section: libdevel
Depends: libkf5parts-dev (>= 5.44.0~),
         libkf5texteditor5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf5texteditor5
Architecture: any
Multi-Arch: same
Depends: ktexteditor-data (= ${source:Version}),
         libkf5texteditor5-libjs-underscore,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ktexteditor-katepart (= ${binary:Version})
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: libkf5texteditor5-libjs-underscore
Architecture: any
Multi-Arch: foreign
Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
Description: Bridge package for libjs-underscore
 Bridge package for libjs-underscore to allow for installation of
 libjs-underscore in multi-arch use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5texteditor5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	rm -f debian/ktexteditor-data/usr/share/katepart5/script/libraries/underscore.js
	$(overridden_command)

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         kded5, libkf5service-bin
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/ktexteditor-([\d.]+)\.tar\.xz

## ktexteditor 5.50.0

=== debian/changelog ===
ktexteditor (5.50.0-0ubuntu1) cosmic; urgency=medium

  * Refresh patches
  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:08 +0100

ktexteditor (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:16 +0100

ktexteditor (5.47.0-0ubuntu3) cosmic; urgency=medium

  * Ignore tests on not x86 until next version

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 30 Jul 2018 15:03:41 +0100

ktexteditor (5.47.0-0ubuntu2) cosmic; urgency=medium

  * Restore libkf5texteditor5-libjs-underscore bridge dependency package

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Jun 2018 08:51:21 +0100

ktexteditor (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
  * As per debian, add libkf5texteditor-bin package and remove
    libkf5texteditor5-libjs-underscore bridge dependency package
  * Add breaks/replaces for file moved to libkf5texteditor-bin and update
    install files

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:28 +0100

ktexteditor (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: Run tests one at the time
  * testsuite: Ignore stderr
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:32 +0200

ktexteditor (5.46.0-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild against the latest libgit2

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 May 2018 21:49:13 +0000

ktexteditor (5.46.0-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied fix-scrolling-bug.patch
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:36 +0100

ktexteditor (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:55 +0200

ktexteditor (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:16 +0100

ktexteditor (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:05 +0100

ktexteditor (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:11 +0100

ktexteditor (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Add new binary package libkf5texteditor-bin
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:52 +0100

ktexteditor (5.41.0-1) experimental; urgency=medium

  * Add libeditorconfig-dev build dep.
    Thanks to Václav Doležal for the report (Closes: 876063)
  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.2.
  * Replace underscore using linktrees
  * Use system copy of underscore.js for the embedded resources
  * Use the underscore.js available in libraries
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:06 -0300

ktexteditor (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:50 +0200

ktexteditor (5.37.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5texteditor-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

  [ Rik Mills ]
  * Install ktexteditor plugin template

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:52 +0200

ktexteditor (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Jonathan Riddell ]
  * kauth stuff
  * binary not data

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,33 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libeditorconfig-dev,
-               libgit2-dev (>= 0.22~),
-               libkf5archive-dev (>= 5.44.0~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5guiaddons-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5parts-dev (>= 5.44.0~),
-               libkf5sonnet-dev (>= 5.44.0~),
-               libkf5syntaxhighlighting-dev (>= 5.44.0~),
-               libqt5xmlpatterns5-dev (>= 5.6.1~),
+               libgit2-dev (>= 0.22.0~),
+               libjs-underscore,
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.50.0~),
+               libkf5guiaddons-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5parts-dev (>= 5.50.0~),
+               libkf5sonnet-dev (>= 5.50.0~),
+               libkf5syntaxhighlighting-dev (>= 5.50.0~),
+               libqt5sql5-sqlite,
+               libqt5xmlpatterns5-dev (>= 5.8.0~),
                perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qtscript5-dev (>= 5.7.0~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
@@ -55,14 +61,32 @@
  .
  This contains the Kate Part plugin.
 
+Package: libkf5texteditor-bin
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5texteditor5 (<< 5.47.0~)
+Replaces: libkf5texteditor5 (<< 5.47.0~)
+Description: provide advanced plain text editing services (binaries)
+ The KTextEditor interfaces - also called KTE interfaces - are a set
+ of well-defined interfaces which an application or library can
+ implement to provide advanced plain text editing
+ services. Applications which utilise this interface can thus allow
+ the user to choose which implementation of the editor component to
+ use. The only implementation right now is the Kate Editor Component
+ (Kate Part).
+ .
+ This package contains the helper binaries.
+
 Package: libkf5texteditor-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5parts-dev (>= 5.44.0~),
+Depends: libkf5parts-dev (>= 5.50.0~),
          libkf5texteditor5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: libkf5texteditor-doc (= ${source:Version})
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -74,11 +98,28 @@
  .
  Contains development files for ktexteditor.
 
+Package: libkf5texteditor-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: provide advanced plain text editing services (documentation)
+ The KTextEditor interfaces - also called KTE interfaces - are a set
+ of well-defined interfaces which an application or library can
+ implement to provide advanced plain text editing
+ services. Applications which utilise this interface can thus allow
+ the user to choose which implementation of the editor component to
+ use. The only implementation right now is the Kate Editor Component
+ (Kate Part).
+ .
+ This package contains the qch documentation files.
+
 Package: libkf5texteditor5
 Architecture: any
 Multi-Arch: same
 Depends: ktexteditor-data (= ${source:Version}),
          libkf5texteditor5-libjs-underscore,
+         libkf5texteditor-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: ktexteditor-katepart (= ${binary:Version})

## ktexteditor 5.54.0

=== debian/changelog ===
ktexteditor (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:20 -0300

ktexteditor (5.51.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #915483)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 17:31:20 +0100

ktexteditor (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds.
  * Small changes to copyright.
  * Remove no more used not-installed file.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Nov 2018 10:13:42 +0100

ktexteditor (5.51.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from logs of buildds.

  [ Maximiliano Curia ]
  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Skip auto_test in armhf
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:19 +0100

ktexteditor (5.49.0-2) unstable; urgency=medium

  * Team upload.
  * Add a symbols file for libkf5texteditor5, based on all the versions of
    this source uploaded to Debian.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Change the section of ktexteditor-data to 'kde', instead of 'libs'.
  * Remove the unused ${shlibs:Depends} substvar from ktexteditor-data, and
    libkf5texteditor-dev.
  * Tighten the libkf5texteditor5 dependency in ktexteditor-katepart to the
    same binary version.
  * Remove old stuff from copyright.
  * Run the test suite during the build:
    - add the xauth, and xvfb build dependencies
    - run xvfb-run with the proper arguments
    - do not run the tests in parallel, since some of them conflict with each
      other
  * Remove the 'testsuite' autopkgtest, no more needed with the in-build
    testsuite.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Sep 2018 11:34:39 +0200

ktexteditor (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Drop upstream patch
  * Disable vimode_keys failing test
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:59 +0200

ktexteditor (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * CVE-2018-10361: privilege escalation (Closes: 896836)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:22 +0200

=== debian/control ===
Source: ktexteditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libeditorconfig-dev,
               libgit2-dev (>= 0.22.0~),
               libjs-underscore,
               libkf5archive-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5guiaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5parts-dev (>= 5.54.0~),
               libkf5sonnet-dev (>= 5.54.0~),
               libkf5syntaxhighlighting-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               perl,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.7.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktexteditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktexteditor.git

Package: ktexteditor-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: ktexteditor-katepart
Architecture: any
Depends: libkf5texteditor5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf5texteditor-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services (binaries)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the helper binaries.

Package: libkf5texteditor-dev
Section: libdevel
Architecture: any
Depends: libkf5parts-dev (>= 5.54.0~),
         libkf5texteditor5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5texteditor-doc (= ${source:Version})
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf5texteditor-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provide advanced plain text editing services (documentation)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5texteditor5
Architecture: any
Depends: ktexteditor-data (= ${source:Version}),
         libjs-underscore,
         libkf5texteditor-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
Multi-Arch: same
Recommends: ktexteditor-katepart (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
	# ktexteditor embeds underscore.js in the generated lib
	# (through a qt resource)
	-ln -sf /usr/share/javascript/underscore/underscore.js src/script/data/libraries/underscore.js

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5texteditor5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH), armhf))
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif
